Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class JSVGViewerFrame.Debugger

    java.lang.Object
      org.apache.batik.apps.svgbrowser.JSVGViewerFrame.Debugger

Enclosing class:
  JSVGViewerFrame

    protected static class JSVGViewerFrame.Debugger

extends Object

Rhino debugger class.

Field Summary
`protected static int` | `ATTACH_TO_METHOD`
`protected static int` | `CLEAR_ALL_BREAKPOINTS_METHOD`
`protected static Class` | `contextFactoryClass` The Rhino ContextFactory class.
`protected static Class` | `debuggerClass` The Rhino debugger class.
`protected static Constructor` | `debuggerConstructor` Rhino debugger class constructor.
`protected Object` | `debuggerInstance` The Rhino debugger instance.
`protected static Method[]` | `debuggerMethods` Rhino debugger class methods.
`protected static int` | `DETACH_METHOD`
`protected static int` | `DISPOSE_METHOD`
`protected static int` | `GET_DEBUG_FRAME_METHOD`
`protected static Method` | `getContextFactoryMethod` The `getContextFactory` method on the `RhinoInterpreter` class.
`protected static int` | `GO_METHOD`
`protected static boolean` | `isPresent` Whether the Rhino debugger classes are present.
`protected static Class` | `rhinoInterpreterClass` The RhinoInterpreter class.
`protected static int` | `SET_EXIT_ACTION_METHOD`
`protected JSVGViewerFrame` | `svgFrame` The JSVGViewerFrame.

Constructor Summary
`JSVGViewerFrame.Debugger(JSVGViewerFrame frame, String url)` Creates a new Debugger.

Method Summary
`void` | `attach()` Attaches the debugger to the canvas' current interpreter.
`void` | `attachTo(Object contextFactory)` Calls `attachTo` on `debuggerInstance`.
`void` | `clearAllBreakpoints()` Calls `clearAllBreakpoints` on `debuggerInstance`.
`void` | `detach()` Calls `detach` on `debuggerInstance`.
`void` | `dispose()` Calls `dispose` on `debuggerInstance`.
`protected Object` | `getContextFactory(Object rhinoInterpreter)` Calls `getContextFactory` on the given instance of `RhinoInterpreter`.
`protected JFrame` | `getDebugFrame()` Calls `getDebugFrame` on `debuggerInstance`.
`void` | `go()` Calls `go` on `debuggerInstance`.
`void` | `initialize()` Initializes the debugger by massaging the GUI and attaching it to the Rhino interpreter's `ContextFactory`.
`void` | `setDocumentURL(String url)` Sets the document URL to use in the window title.
`protected void` | `setExitAction(Runnable r)` Calls `setExitAction` on `debuggerInstance`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isPresent

    protected static boolean isPresent

  Whether the Rhino debugger classes are present.

### debuggerClass

    protected static Class debuggerClass

  The Rhino debugger class.

### contextFactoryClass

    protected static Class contextFactoryClass

  The Rhino ContextFactory class.

### CLEAR_ALL_BREAKPOINTS_METHOD

    protected static final int CLEAR_ALL_BREAKPOINTS_METHOD

See Also:
  Constant Field Values

### GO_METHOD

    protected static final int GO_METHOD

See Also:
  Constant Field Values

### SET_EXIT_ACTION_METHOD

    protected static final int SET_EXIT_ACTION_METHOD

See Also:
  Constant Field Values

### ATTACH_TO_METHOD

    protected static final int ATTACH_TO_METHOD

See Also:
  Constant Field Values

### DETACH_METHOD

    protected static final int DETACH_METHOD

See Also:
  Constant Field Values

### DISPOSE_METHOD

    protected static final int DISPOSE_METHOD

See Also:
  Constant Field Values

### GET_DEBUG_FRAME_METHOD

    protected static final int GET_DEBUG_FRAME_METHOD

See Also:
  Constant Field Values

### debuggerConstructor

    protected static Constructor debuggerConstructor

  Rhino debugger class constructor.

### debuggerMethods

    protected static Method[] debuggerMethods

  Rhino debugger class methods.

### rhinoInterpreterClass

    protected static Class rhinoInterpreterClass

  The RhinoInterpreter class.

### getContextFactoryMethod

    protected static Method getContextFactoryMethod

  The `getContextFactory` method on the `RhinoInterpreter` class.

### debuggerInstance

    protected Object debuggerInstance

  The Rhino debugger instance.

### svgFrame

    protected JSVGViewerFrame svgFrame

  The JSVGViewerFrame.

Constructor Detail

### JSVGViewerFrame.Debugger

    public JSVGViewerFrame.Debugger(JSVGViewerFrame frame,
                                    String url)

  Creates a new Debugger.

Method Detail

### setDocumentURL

    public void setDocumentURL(String url)

  Sets the document URL to use in the window title.

### initialize

    public void initialize()

  Initializes the debugger by massaging the GUI and attaching it to the Rhino interpreter's `ContextFactory`.

### attach

    public void attach()

  Attaches the debugger to the canvas' current interpreter.

### getDebugFrame

    protected JFrame getDebugFrame()

  Calls `getDebugFrame` on `debuggerInstance`.

### setExitAction

    protected void setExitAction(Runnable r)

  Calls `setExitAction` on `debuggerInstance`.

### attachTo

    public void attachTo(Object contextFactory)

  Calls `attachTo` on `debuggerInstance`.

### detach

    public void detach()

  Calls `detach` on `debuggerInstance`.

### go

    public void go()

  Calls `go` on `debuggerInstance`.

### clearAllBreakpoints

    public void clearAllBreakpoints()

  Calls `clearAllBreakpoints` on `debuggerInstance`.

### dispose

    public void dispose()

  Calls `dispose` on `debuggerInstance`.

### getContextFactory

    protected Object getContextFactory(Object rhinoInterpreter)

  Calls `getContextFactory` on the given instance of `RhinoInterpreter`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.